Skip to main content
POST
/
action
/
cold_call_prep_generate_call_game_plan
[CCP] Cold Call Prep
curl --request POST \
  --url https://api-lr.agent.ai/v1/action/cold_call_prep_generate_call_game_plan \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "company_website": "<string>",
  "contact_name": "<string>",
  "call_objective": "cold_call",
  "seller_product": "<string>",
  "output_variable_name": "call_game_plan",
  "linkedin_url": "<string>",
  "contact_role": "<string>",
  "known_context": "<string>",
  "seller_icp": "<string>",
  "seller_website": "<string>",
  "pain_points": "<string>"
}
'
{
  "status": 123,
  "response": {}
}

Authorizations

Authorization
string
header
required

Bearer token from your account (https://agent.ai/user/integrations#api)

Body

application/json
company_website
string
required
contact_name
string
required
call_objective
enum<string>
default:cold_call
required
Available options:
cold_call,
warm_call,
follow_up,
re_engagement
seller_product
string
required
output_variable_name
string
default:call_game_plan
required
Pattern: ^[a-zA-Z][a-zA-Z0-9_]*$
linkedin_url
string
contact_role
string
known_context
string

Mutual connections, prior call outcomes, warm intro context.

seller_icp
string
seller_website
string
pain_points
string

Response

Successful response

status
integer<int32>

HTTP status code of the action response

response
object

Response data from the action